数据
GET https://hrt.cc/api/data/
curl --request GET \
--url 'https://hrt.cc/api/data/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hrt.cc/api/data/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| type | 可选 字符串 | 搜索字段。允许的值:email_collector , phone_collector , contact_collector , appointment_calendar。 |
| order_by | 可选 字符串 | 排序字段。允许的值:datum_id , datetime。 |
| order_type | 可选 字符串 | 排序方式。允许的值:ASC 升序,DESC 降序。 |
| page | 可选 整数 | 返回结果的页码,默认为 1。 |
| results_per_page | 可选 整数 | 每页返回的结果数量。允许的值:10 , 25 , 50 , 100 , 250 , 500 , 1000,默认为 25。 |
{
"data": [
{
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-05-03 03:54:13",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://hrt.cc/api/data?page=1",
"last": "https://hrt.cc/api/data?page=1",
"next": null,
"prev": null,
"self": "https://hrt.cc/api/data?page=1"
}
}
GET https://hrt.cc/api/data/{datum_id}
curl --request GET \
--url 'https://hrt.cc/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hrt.cc/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "email@example.com",
"name": "John doe"
},
"datetime": "2026-05-03 03:54:13",
}
}
DELETE https://hrt.cc/api/data/{datum_id}
curl --request DELETE \
--url 'https://hrt.cc/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hrt.cc/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \